import { Getter } from '@loopback/core';
import { Plan, PlanRelations, PlanItem, BillingCycle, Currency } from '../models';
import { DefaultUserModifyCrudRepository, IAuthUserWithPermissions } from '@sourceloop/core';
import { HasManyRepositoryFactory, BelongsToAccessor, juggler } from '@loopback/repository';
import { PlanItemRepository } from './plan-item.repository';
import { BillingCycleRepository } from './billing-cycle.repository';
import { CurrencyRepository } from './currency.repository';
export declare class PlanRepository extends DefaultUserModifyCrudRepository<Plan, typeof Plan.prototype.id, PlanRelations> {
    readonly getCurrentUser: Getter<IAuthUserWithPermissions>;
    protected planItemRepositoryGetter: Getter<PlanItemRepository>;
    protected billingCycleRepositoryGetter: Getter<BillingCycleRepository>;
    protected currencyRepositoryGetter: Getter<CurrencyRepository>;
    readonly planItems: HasManyRepositoryFactory<PlanItem, typeof Plan.prototype.id>;
    readonly billingCycle: BelongsToAccessor<BillingCycle, typeof Plan.prototype.id>;
    readonly currency: BelongsToAccessor<Currency, typeof Plan.prototype.id>;
    constructor(dataSource: juggler.DataSource, getCurrentUser: Getter<IAuthUserWithPermissions>, planItemRepositoryGetter: Getter<PlanItemRepository>, billingCycleRepositoryGetter: Getter<BillingCycleRepository>, currencyRepositoryGetter: Getter<CurrencyRepository>);
}
