"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlanRepository = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const models_1 = require("../models");
const core_2 = require("@sourceloop/core");
const loopback4_authentication_1 = require("loopback4-authentication");
const repository_1 = require("@loopback/repository");
const types_1 = require("../types");
let PlanRepository = class PlanRepository extends core_2.DefaultUserModifyCrudRepository {
    constructor(dataSource, getCurrentUser, planItemRepositoryGetter, billingCycleRepositoryGetter, currencyRepositoryGetter) {
        super(models_1.Plan, dataSource, getCurrentUser);
        this.getCurrentUser = getCurrentUser;
        this.planItemRepositoryGetter = planItemRepositoryGetter;
        this.billingCycleRepositoryGetter = billingCycleRepositoryGetter;
        this.currencyRepositoryGetter = currencyRepositoryGetter;
        this.currency = this.createBelongsToAccessorFor('currency', currencyRepositoryGetter);
        this.billingCycle = this.createBelongsToAccessorFor('billingCycle', billingCycleRepositoryGetter);
        this.registerInclusionResolver('billingCycle', this.billingCycle.inclusionResolver);
        this.registerInclusionResolver('currency', this.currency.inclusionResolver);
        this.planItems = this.createHasManyRepositoryFactoryFor('planItems', planItemRepositoryGetter);
        this.registerInclusionResolver('planItems', this.planItems.inclusionResolver);
    }
};
exports.PlanRepository = PlanRepository;
exports.PlanRepository = PlanRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.SubscriptionDbSourceName}`)),
    tslib_1.__param(1, core_1.inject.getter(loopback4_authentication_1.AuthenticationBindings.CURRENT_USER)),
    tslib_1.__param(2, repository_1.repository.getter('PlanItemRepository')),
    tslib_1.__param(3, repository_1.repository.getter('BillingCycleRepository')),
    tslib_1.__param(4, repository_1.repository.getter('CurrencyRepository')),
    tslib_1.__metadata("design:paramtypes", [repository_1.juggler.DataSource, Function, Function, Function, Function])
], PlanRepository);
//# sourceMappingURL=plan.repository.js.map